version: '2.1'
services:
  dns:
    image: duosecurity/network-gateway@sha256:dcb25e552d2b4f6f11039c78c7d2a4eea18dac195d472763e7ce496c9cc005d8
    environment:
      - "ENABLE_HA=1"
      - REDIS_HOST
      - REDIS_PORT
      - REDIS_AUTH
      - REDIS_CA_CERTS
      - REDIS_USE_SSL
    ports:
        - "${DNGDNS_IP:-0.0.0.0}:53:53/tcp"
        - "${DNGDNS_IP:-0.0.0.0}:53:53/udp"
    container_name: network-gateway-dns
    restart: always
    ulimits:
      nofile:
        soft: 65536
        hard: 65536
    logging:
      driver: json-file
      options:
        max-size: "50m"
        max-file: "20"
